Package org.eclipse.cdt.core.templateengine.process

## Class Process

- java.lang.Object
- - org.eclipse.cdt.core.templateengine.process.Process

    public class Process
    extends Object

This class contains methods to get first process block element, next process block element and checks for next process block element.

### Field Summary

Fields
`static String` `ELEM_TYPE`

### Constructor Summary

Constructors
`Process​(TemplateCore template, Element element, String id)` Constructor to create a process.

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<String>` `getMacros()`
`boolean` `isReadyToProcess()`
`org.eclipse.core.runtime.IStatus` `process​(org.eclipse.core.runtime.IProgressMonitor monitor)` Executes this process
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ELEM_TYPE

    public static final String ELEM_TYPE

See Also:
  Constant Field Values

### Constructor Detail

#### Process

    public Process​(TemplateCore template,
                   Element element,
                   String id)

Constructor to create a process.

Parameters:
  `template` -
  `element` -
  `id` -

### Method Detail

#### isReadyToProcess

    public boolean isReadyToProcess()

Returns:
  boolean, true if the Process is Ready.

#### process

    public org.eclipse.core.runtime.IStatus process​(org.eclipse.core.runtime.IProgressMonitor monitor)
                                             throws ProcessFailureException

Executes this process

Parameters:
  `monitor` -
Returns:
  the result of executing this process
Throws:
  `ProcessFailureException`

#### getMacros

    public Set<String> getMacros()

Returns:
  the macros defined in the context of this process

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`